diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/EditorPreferencePredicate.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/EditorPreferencePredicate.java
new file mode 100755
index 000000000..81c7e8c4f
--- /dev/null
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/EditorPreferencePredicate.java
@@ -0,0 +1,150 @@
+/**
+* Copyright (C) 2018 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.taxeditor.preference;
+
+import java.util.Set;
+import java.util.UUID;
+
+import eu.etaxonomy.cdm.model.common.EnumeratedTermVoc;
+import eu.etaxonomy.cdm.model.common.IEnumTerm;
+import eu.etaxonomy.cdm.model.common.Language;
+import eu.etaxonomy.cdm.model.metadata.IPreferencePredicate;
+import eu.etaxonomy.cdm.model.metadata.PreferencePredicate;
+
+/**
+ * @author k.luther
+ * @since 19.11.2018
+ *
+ */
+public enum EditorPreferencePredicate implements IEnumTerm<EditorPreferencePredicate>, IPreferencePredicate {
+
+
+
+    TaxonNodeOrder(UUID.fromString("ce06bd8e-4371-4ee5-8f57-cf23930cfd12"), "Taxon node order", "model.taxon.TNO", NavigatorOrderEnum.RankAndNameOrder),  //default alphabet + rank
+    NameDetailsView(UUID.fromString("3c4ec5f5-feb5-44a8-8533-c3c3484a6869"), "NameDetailsView", "model.editor.NDV", null),
+    IsRedList(UUID.fromString("aaf79c57-b2a9-48a6-b037-fc1b4a75a6e9"), "isRedList", "model.editor.RL", Boolean.FALSE),
+    DeterminationOnlyForFieldUnits(UUID.fromString("91b9224b-6610-4cf1-b3da-d60d6f9d59b1"), "DeterminationOnlyForFieldUnit", "model.editor.DOFU", Boolean.FALSE),
+
+    //taxeditor UI
+    ShowMediaView(UUID.fromString("ba7ba1bb-47e3-4b68-bc44-c5ac45775db4"), "Show Media View", "views.showMediaView", Boolean.TRUE),
+    ShowTaxonNodeWizard(UUID.fromString("af06fbec-635b-4676-8b60-0b98aefda6aa"), "Show TaxonNode Wizard", "views.showTaxonNodeWizard", Boolean.TRUE),
+    DisableMultiClassification(UUID.fromString("abdf7e40-afe6-4131-9af3-c6b6779ee6be"), "Disable Multi Classification Functionality", "menu.disableMultiClassification", Boolean.FALSE),
+    ShowChecklistPerspective(UUID.fromString("6058762b-893c-4330-bfe7-45d5717d02b2"), "Show Checklist Perspective as Default", "perspective.checklist", Boolean.FALSE),
+
+
+    //sources
+    ShowIdInSource(UUID.fromString("de291d1b-d89e-42ee-a7b5-15f306f50785"), "Source Details: Show ID in Source", "sourceDetails.IdInSource", Boolean.TRUE),
+    //I did rename this "Name"-> "Namespace" (later we should adapt the modelKey similarly
+    ShowNamespaceInSource(UUID.fromString("f2e881bb-03a1-4bf9-aff1-7bfd4d355a7c"), "Source Details: Show Namespace in Source", "sourceDetails.NameInSource", Boolean.TRUE),
+
+    //name details view
+    SimpleDetailsViewActivated(UUID.fromString("78666fde-9ee5-4c09-923b-be98604aace6"), "Name Details: Activated", "editor.nameDetails.activated", Boolean.FALSE),
+    ShowTaxon(UUID.fromString("0853e47a-68a8-49af-94d6-505a0479cb28"), "Name Details: Show Taxon", "editor.nameDetails.taxon", Boolean.TRUE),
+    ShowLSID(UUID.fromString("fa26eba7-43ed-4498-83a5-8f306a3ef6b3"), "Name Details: Show LSID", "editor.nameDetails.LSID", Boolean.TRUE),
+    ShowNomenclaturalCode(UUID.fromString("b54c7670-a4eb-4d41-b847-2c1a48efdd25"), "Name Details: Show Nomenclatural Code", "editor.nameDetails.NC", Boolean.TRUE),
+    ShowNameCache(UUID.fromString("d2e74b5b-90ca-4f5a-8979-d3c065512d63"), "Name Details: Show Namecache", "editor.nameDetails.nameCache", Boolean.TRUE),
+    ShowNameEpithets(UUID.fromString("816b7edd-0e1e-4277-9931-f73f1970dfe2"), "Name Details: Show Name Epithets", "editor.nameDetails.NE", Boolean.TRUE),
+    ShowAppendedPhrase(UUID.fromString("ca0b3d02-09f0-458f-af88-9c9d281f029d"), "Name Details: Show Appended Phrase", "editor.nameDetails.AP", Boolean.TRUE),
+    ShowRankInNameDetails(UUID.fromString("b1181426-e87a-4cd2-80bb-40224182efda"), "Name Details: Show Rank", "editor.nameDetails.rank", Boolean.TRUE),
+    ShowAuthorship(UUID.fromString("ce6e1a79-f0c3-4542-a93c-2dbd0023220e"), "Name Details: Show Authorship", "editor.nameDetails.AS", Boolean.TRUE),
+    ShowAuthorshipCache(UUID.fromString("dbc95c3c-b984-406c-b060-67bde64bb968"), "Name Details: Show AuthorshipCache", "editor.nameDetails.ASC", Boolean.TRUE),
+    ShowNomenclaturalReference(UUID.fromString("5b318525-8830-4dbd-8f31-df93bbc69800"), "Name Details: Show Nomenclatural Reference", "editor.nameDetails.NR", Boolean.TRUE),
+    ShowNomenclaturalStatus(UUID.fromString("075eba36-90fc-42a2-8e2d-98a61ee88205"), "Name Details: Show Nomenclatural Status", "editor.nameDetails.NS", Boolean.TRUE),
+    ShowProtologue(UUID.fromString("fd1105cf-5c98-4325-9db3-117907dac448"), "Name Details: Show Protologue", "editor.nameDetails.SP", Boolean.TRUE),
+    ShowTypeDesignation(UUID.fromString("dc79a014-5307-457e-9e92-7353a47a4df6"), "Name Details: Show Typedesignation", "editor.nameDetails.TD", Boolean.TRUE),
+    ShowNameRelations(UUID.fromString("7173817e-c15f-4618-8dea-2035b84f7757"), "Name Details: Show Namerelationships", "editor.nameDetails.NRS", Boolean.TRUE),
+    ShowHybrid(UUID.fromString("f58a4e82-8162-4d2e-905d-466d40069df8"), "Name Details: Show Hybrid Section", "editor.nameDetails.hybrids", Boolean.TRUE),
+
+    //distribution editor
+    DistributionEditorActivated(UUID.fromString("733e9bce-4394-4fae-97d3-1b7dfc48ee3c"), "Distribution Editor Is activated", "distribution.editor.activated",  Boolean.TRUE),
+    AreasSortedByIdInVocabulary(UUID.fromString("513d7de9-fec4-432c-b4dd-75f9f6e74ad0"), "Distribution Editor: Areas sorted by ID in Vocabulary", "distribution.editor.areas.sortedByIDInVoc", Boolean.FALSE),  //unsure about correct default value, please decide
+    //the following 4 should be replaced by termLabelPreferenceEnum , enum should contain label, abbrevLabel, idInVoc, symbol1, symbol2, ...
+    DisplayOfStatus(UUID.fromString("1ee6b945-0a81-4f05-b867-f9d105882249"), "Distribution Editor: Show Symbol for Status", "distribution.editor.status.showSymbol", TermDisplayEnum.Title),
+    DisplayOfAreasInDistributionEditor(UUID.fromString("7b671bba-1b7f-4cb9-bbac-c914518a4bf8"), "Distribution Editor: Display of Areas", "distribution.editor.areas.displayAreas",  TermDisplayEnum.Title),
+
+
+    ShowRankInDistributionEditor(UUID.fromString("fb13b4f2-2d82-4fd3-8abe-2b955a695245"), "Distribution Editor: Show Rank", "distribution.editor.showRank", Boolean.FALSE),
+
+
+    //import
+    ShowImportExportMenu(UUID.fromString("92839352-beee-4d66-b078-77fd4f500ab4"), "Show Import Export Menu Items", "io.showMenu", Boolean.TRUE),
+    AbcdImportConfig(UUID.fromString("65380375-d041-458c-8275-c36cdc1f34df"), "AbcdImportConfig", "io.ABCD.config", null),  //default defined in TaxEditor
+    BioCaseProvider(UUID.fromString("bd22c85c-f4e8-4771-ae7b-5750868762c4"), "BioCaseProvider", "io.ABCD.providerList", null),  //default defined in TaxEditor
+
+    //specimen
+    ShowSpecimen(UUID.fromString("a925f874-b953-429f-9db7-f28e3beb576f"), "Show Specimen", "showSpecimen", Boolean.TRUE),
+    ShowCollectingAreasInGeneralSection(UUID.fromString("578a1195-64ce-4dfb-9be9-6f2823288678"), "Show Collecting Area in General Section", "specimen.detail.showCollectingAreaInGeneralSection", Boolean.FALSE),
+    ShowTaxonAssociations(UUID.fromString("849c24f9-b62b-4f70-b0a0-1b02182b3433"), "Show Taxon Associations", "specimen.detail.showTaxonAssociations", Boolean.FALSE),
+    ShowLifeForm(UUID.fromString("85870e7d-a6a3-4c9b-97d6-eb27e6516860"), "Show Life Form", "showLifeForm", Boolean.FALSE),
+
+
+    DefaultBehaviourForPublishFlag(UUID.fromString("24e636fc-ef3b-4a2c-8c9e-018143e66949"), "Default behaviour for publish flag", "defaultBehaviourForPublishFlag", PublishEnum.InheritFromParent)
+    ;
+
+
+
+    private static EnumeratedTermVoc<EditorPreferencePredicate> delegateVoc;
+    private IEnumTerm<EditorPreferencePredicate> delegateVocTerm;
+
+    static {
+        delegateVoc = EnumeratedTermVoc.getVoc(EditorPreferencePredicate.class);
+    }
+    private Object defaultValue;
+
+
+    private EditorPreferencePredicate(UUID uuid, String messageString, String key, Object defaultValue){
+       this(uuid, messageString, key, null, defaultValue);
+    }
+
+    private EditorPreferencePredicate(UUID uuid, String messageString, String modelKey, PreferencePredicate parent, Object defaultValue){
+        delegateVocTerm = EnumeratedTermVoc.addTerm(getClass(), this, uuid, messageString, modelKey, parent);
+        this.defaultValue = defaultValue;
+
+    }
+
+    @Override
+    public Object getDefaultValue() {return defaultValue;}
+
+
+    @Override
+    public String getKey() {return delegateVocTerm.getKey();}
+
+
+    @Override
+    public String getMessage() {return delegateVocTerm.getMessage();}
+
+
+    @Override
+    public String getMessage(Language lang) {return delegateVocTerm.getMessage(lang);}
+
+
+    @Override
+    public UUID getUuid() {return delegateVocTerm.getUuid();}
+
+
+    @Override
+    public EditorPreferencePredicate getKindOf() {return delegateVocTerm.getKindOf();}
+
+    @Override
+    public Set<EditorPreferencePredicate> getGeneralizationOf() {return delegateVocTerm.getGeneralizationOf();}
+
+
+    @Override
+    public boolean isKindOf(EditorPreferencePredicate ancestor) {return delegateVocTerm.isKindOf(ancestor);}
+
+
+    @Override
+    public Set<EditorPreferencePredicate> getGeneralizationOf(boolean recursive) {return delegateVocTerm.getGeneralizationOf(recursive);}
+
+
+
+
+
+
+}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/IPreferenceKeys.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/IPreferenceKeys.java
index f0254955c..930eaf0c8 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/IPreferenceKeys.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/IPreferenceKeys.java
@@ -95,9 +95,9 @@ public interface IPreferenceKeys {
 	/** Constant <code>SORT_RANKS_HIERARCHICHALLY="eu.etaxonomy.taxeditor.menus.sortRanksH"{trunked}</code> */
 	public static final String SORT_RANKS_HIERARCHICHALLY = "eu.etaxonomy.taxeditor.menus.sortRanksHierarchichally";
 	/** Constant <code>SORT_NODES_NATURALL="eu.etaxonomy.taxeditor.menus.sortNodesN"{trunked}</code> */
-	public static final String SORT_NODES_NATURALLY = "eu.etaxonomy.taxeditor.menus.sortNodesNaturally";
-	/** Constant <code>SORT_NODES_NATURALL="eu.etaxonomy.taxeditor.menus.sortNodesN"{trunked}</code> */
-	public static final String SORT_NODES_ALPHABETICALLY = "eu.etaxonomy.taxeditor.menus.sortNodesAlphabetically";
+	public static final String SORT_NODES = "eu.etaxonomy.taxeditor.menus.sortNodes";
+//	/** Constant <code>SORT_NODES_NATURALL="eu.etaxonomy.taxeditor.menus.sortNodesN"{trunked}</code> */
+//	public static final String SORT_NODES_ALPHABETICALLY = "eu.etaxonomy.taxeditor.menus.sortNodesAlphabetically";
 	/** Constant <code>RESTORE_NAVIGATOR_STATE="eu.etaxonomy.taxeditor.taxonnavigator.restoreState"{trunked}</code> */
 	public static final String RESTORE_NAVIGATOR_STATE = "eu.etaxonomy.taxeditor.taxonnavigator.restoreState";
 	/**
@@ -152,7 +152,7 @@ public interface IPreferenceKeys {
     public static final String CHECKLIST_AREA_DISPLAY_TITLE = "Title";
     public static final String CHECKLIST_AREA_DISPLAY_SYMBOL1 = "Symbol1";
     public static final String CHECKLIST_AREA_DISPLAY_SYMBOL2 = "Symbol2";
-    public static final String CHECKLIST_SYMBOL = "eu.etaxonomy.taxeditor.checklist.checklistSymbol";
+    public static final String CHECKLIST_STATUS_DISPLAY = "eu.etaxonomy.taxeditor.checklist.checklistDisplayStatus";
     public static final String CHECKLIST_SHOW_RANK = "eu.etaxonomy.taxeditor.checklist.checklistShowRank";
 
     public static final String DISTRIBUTION_AREA_PREFRENCES_ACTIVE_OVERRIDE = "eu.etaxonomy.taxeditor.checklist.distributionAreaPreferencesActiveOverride";
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/LanguageRepresentationPreferencePage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/LanguageRepresentationPreferencePage.java
index 0bcbbecfc..045324ecf 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/LanguageRepresentationPreferencePage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/LanguageRepresentationPreferencePage.java
@@ -14,7 +14,6 @@ import java.util.List;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.events.SelectionAdapter;
 import org.eclipse.swt.events.SelectionEvent;
-import org.eclipse.swt.layout.GridData;
 import org.eclipse.swt.layout.GridLayout;
 import org.eclipse.swt.layout.RowLayout;
 import org.eclipse.swt.widgets.Button;
@@ -37,12 +36,12 @@ public class LanguageRepresentationPreferencePage extends CdmPreferencePage{
 	private boolean isMultilanguageTextEditingCapability;
 	private Language globalLanguage;
 
-	private Composite createComposite(Composite parent){
-		Composite composite = new Composite(parent, SWT.NULL);
-		composite.setLayoutData(new GridData(SWT.FILL, SWT.TOP, true, false, 2, 1));
-		composite.setLayout(new RowLayout(SWT.HORIZONTAL));
-		return composite;
-	}
+//	private Composite createComposite(Composite parent){
+//		Composite composite = new Composite(parent, SWT.NULL);
+//		composite.setLayoutData(new GridData(SWT.FILL, SWT.TOP, true, false, 2, 1));
+//		composite.setLayout(new RowLayout(SWT.HORIZONTAL));
+//		return composite;
+//	}
 
 	@Override
 	protected Control createContents(Composite parent) {
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/NavigatorOrderEnum.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/NavigatorOrderEnum.java
new file mode 100755
index 000000000..6611d0348
--- /dev/null
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/NavigatorOrderEnum.java
@@ -0,0 +1,37 @@
+/**
+* Copyright (C) 2018 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.taxeditor.preference;
+
+/**
+ * @author k.luther
+ * @since 19.11.2018
+ *
+ */
+public enum NavigatorOrderEnum {
+    AlphabeticalOrder("AlphabeticalOrder", "Alphabetical Order"),
+    NaturalOrder("NaturalOrder", "Natural Order"),
+    RankAndNameOrder("RankAndNameOrder", "Rank and Name Order");
+
+
+    String label;
+    String key;
+
+    private NavigatorOrderEnum(String key, String label){
+        this.label = label;
+        this.key = key;
+    }
+
+    public String getLabel(){
+        return label;
+    }
+
+    public String getKey(){
+        return key;
+    }
+}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/OrderPreferences.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/OrderPreferences.java
index a9a33e31f..7e64d1905 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/OrderPreferences.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/OrderPreferences.java
@@ -4,8 +4,11 @@ import org.eclipse.jface.dialogs.MessageDialog;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.events.SelectionAdapter;
 import org.eclipse.swt.events.SelectionEvent;
+import org.eclipse.swt.events.SelectionListener;
+import org.eclipse.swt.layout.GridData;
 import org.eclipse.swt.layout.GridLayout;
 import org.eclipse.swt.widgets.Button;
+import org.eclipse.swt.widgets.Combo;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Control;
 import org.eclipse.swt.widgets.Label;
@@ -13,12 +16,11 @@ import org.eclipse.swt.widgets.Label;
 import eu.etaxonomy.taxeditor.l10n.Messages;
 import eu.etaxonomy.taxeditor.preference.menu.CdmPreferencePage;
 
-public class OrderPreferences extends CdmPreferencePage {
+public class OrderPreferences extends CdmPreferencePage implements SelectionListener{
 
 
-	    boolean isNaturalOrderActivated;
-	    boolean isAlphabeticalOrderActivated;
-	    boolean isRankAndNameOrderActivated;
+        NavigatorOrderEnum orderActivated;
+        private Combo orderSelectionCombo;
 	    boolean isRestoreTaxonNavigator;
 	    boolean isSelectionChanged = false;
 	    boolean isStrictlyAlphabeticallyOrdered;
@@ -52,79 +54,33 @@ public class OrderPreferences extends CdmPreferencePage {
 	        Label label = new Label(composite, SWT.NONE);
 	        label.setText("Sorting");
 
+	        GridData gridData = new GridData();
+            gridData = new GridData(GridData.BEGINNING, GridData.CENTER, true, false);
+            gridData.horizontalIndent = 5;
 
-	        isNaturalOrderActivated = PreferencesUtil.getSortNodesNaturally();
-	        final Button activateNaturalOrderCheckButton = new Button(composite, SWT.RADIO);
-	        activateNaturalOrderCheckButton.setText("Natural order");
-	        activateNaturalOrderCheckButton.setSelection(isNaturalOrderActivated);
-
-	        isRankAndNameOrderActivated = !PreferencesUtil.getSortNodesStrictlyAlphabetically() && !PreferencesUtil.getSortNodesNaturally();
-	        final Button activateRankAndNameOrderActivatedCheckButton = new Button(composite, SWT.RADIO);
-	        activateRankAndNameOrderActivatedCheckButton.setText("Rank and alphabetical Order");
-	        activateRankAndNameOrderActivatedCheckButton.setSelection(isRankAndNameOrderActivated);
-
-	        isAlphabeticalOrderActivated = PreferencesUtil.getSortNodesStrictlyAlphabetically();
-	        final Button activateAlphabeticallyOrderedCheckButton = new Button(composite, SWT.RADIO);
-	        activateAlphabeticallyOrderedCheckButton.setText("Alphabetical order");
-	        activateAlphabeticallyOrderedCheckButton.setSelection(isAlphabeticalOrderActivated);
-
-	        activateNaturalOrderCheckButton.addSelectionListener(new SelectionAdapter(){
-	            @Override
-	            public void widgetSelected(SelectionEvent e) {
-	            	if(isNaturalOrderActivated != activateNaturalOrderCheckButton.getSelection()) {
-	                	isNaturalOrderActivated = activateNaturalOrderCheckButton.getSelection();
-	                	if (isAlphabeticalOrderActivated && isNaturalOrderActivated){
-	                		isAlphabeticalOrderActivated = false;
-
-	            		}
-	            		if (isRankAndNameOrderActivated && isNaturalOrderActivated){
-	            			isRankAndNameOrderActivated = false;
-	            		}
-
-                        isSelectionChanged = true;
-                    }else{
-                        isSelectionChanged = false;
-                    }
+	        orderSelectionCombo = new Combo(composite, SWT.BORDER| SWT.READ_ONLY);
+	        orderSelectionCombo.setLayoutData(gridData);
 
-	            }
-	        });
-	        activateAlphabeticallyOrderedCheckButton.addSelectionListener(new SelectionAdapter(){
-	            @Override
-	            public void widgetSelected(SelectionEvent e) {
-	            	if(isAlphabeticalOrderActivated != activateAlphabeticallyOrderedCheckButton.getSelection()) {
-	            		isAlphabeticalOrderActivated = activateAlphabeticallyOrderedCheckButton.getSelection();
-	            		if (isNaturalOrderActivated && isAlphabeticalOrderActivated){
-	            			isNaturalOrderActivated = false;
-
-	            		}
-	            		if (isRankAndNameOrderActivated && isAlphabeticalOrderActivated){
-	            			isRankAndNameOrderActivated = false;
-	            		}
-
-                        isSelectionChanged = true;
-                    }else{
-                        isSelectionChanged = false;
-                    }
+            for(NavigatorOrderEnum display: NavigatorOrderEnum.values()){
+                orderSelectionCombo.add(display.getLabel());
+            }
+
+            int index = 0;
+            if (PreferencesUtil.getStringValue(IPreferenceKeys.SORT_NODES) != null){
+                this.orderActivated = NavigatorOrderEnum.valueOf(PreferencesUtil.getStringValue(IPreferenceKeys.SORT_NODES));
 
-	            }
-	        });
-
-	        activateRankAndNameOrderActivatedCheckButton.addSelectionListener(new SelectionAdapter(){
-	            @Override
-	            public void widgetSelected(SelectionEvent e) {
-	            	if(isRankAndNameOrderActivated != activateRankAndNameOrderActivatedCheckButton.getSelection()) {
-	            		isRankAndNameOrderActivated = activateRankAndNameOrderActivatedCheckButton.getSelection();
-	            		if (isAlphabeticalOrderActivated && isRankAndNameOrderActivated){
-	            			 isAlphabeticalOrderActivated = false;
-	            			 isNaturalOrderActivated = false;
-	            		}
-	            		isSelectionChanged = true;
-                    }else{
-                        isSelectionChanged = false;
+                for (String itemLabel : orderSelectionCombo.getItems()){
+                    if (itemLabel.equalsIgnoreCase(orderActivated.getLabel())){
+                        orderSelectionCombo.select(index);
+                        break;
                     }
+                    index++;
+                }
+            }
+
+            // TODO remember last selection
+            orderSelectionCombo.addSelectionListener(this);
 
-	            }
-	        });
 
 
 
@@ -140,8 +96,8 @@ public class OrderPreferences extends CdmPreferencePage {
 		@Override
 		public boolean performOk() {
 	       if(isSelectionChanged){
-	           PreferencesUtil.setSortNodesStrictlyAlphabetically(isAlphabeticalOrderActivated);
-	           PreferencesUtil.setSortNodesNaturally(isNaturalOrderActivated);
+	           PreferencesUtil.setSortNodes(this.orderActivated);
+
 	           PreferencesUtil.setStoreNavigatorState(isRestoreTaxonNavigator);
 	    	  MessageDialog.openInformation(getShell(), null, Messages.OrderPreferencePage_PleaseReopenNavigator);
 	    	  isSelectionChanged = false;
@@ -151,4 +107,24 @@ public class OrderPreferences extends CdmPreferencePage {
 		}
 
 
+        /**
+         * {@inheritDoc}
+         */
+        @Override
+        public void widgetSelected(SelectionEvent e) {
+            // TODO Auto-generated method stub
+
+        }
+
+
+        /**
+         * {@inheritDoc}
+         */
+        @Override
+        public void widgetDefaultSelected(SelectionEvent e) {
+            // TODO Auto-generated method stub
+
+        }
+
+
 }
